MVCGroup (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface MVCGroup

    griffon.core.ApplicationHandler
      griffon.core.MVCGroup

All Superinterfaces:
  ApplicationHandler

    public interface MVCGroup
    extends ApplicationHandler

Defines an MVC group and its contents

Authors:
  Andres Almiray

Since:
  0.9.4

Method Summary
`void` | `buildScriptMember(String name)` Builds the target member if it's a Script, storing the result.
`void` | `destroy()` Destroys the current group.
`FactoryBuilderSupport` | `getBuilder()` Returns the builder portion of this group.
`MVCGroupConfiguration` | `getConfiguration()` Returns the configuration of this group.
`GriffonController` | `getController()` Returns the Controller portion of this group.
`Object` | `getMember(String name)` Returns the specified member type.
`Map` | `getMembers()` Returns a read-only view of all instance members.
`GriffonModel` | `getModel()` Returns the Model portion of this group.
`String` | `getMvcId()` Returns the id of the group.
`String` | `getMvcType()` Returns the type of this group as set in the application's configuration.
`Object` | `getScriptResult(String name)` Returns the result of the evaluation of the specified member if it's a Script.
`GriffonView` | `getView()` Returns the View portion of this group.
`boolean` | `isAlive()` Returns whether this group has been destroyed or not.

Methods inherited from interface ApplicationHandler
getApp

Method Detail

### buildScriptMember

    public void buildScriptMember(String name)

  Builds the target member if it's a Script, storing the result.
  Parameters:
    `name` - the name of a member

### destroy

    public void destroy()

  Destroys the current group. Should only be called once.
  throws:
    IllegalStateException if the group has been destroyed already

### getBuilder

    public FactoryBuilderSupport getBuilder()

  Returns the builder portion of this group.
  throws:
    IllegalStateException if the group has been destroyed already
  Returns:
    a FactoryBuilderSupport instance (typically an UberBuilder)

### getConfiguration

    public MVCGroupConfiguration getConfiguration()

  Returns the configuration of this group.
  Returns:
    the configuration used to instantiate this group.

### getController

    public GriffonController getController()

  Returns the Controller portion of this group.
  throws:
    IllegalStateException if the group has been destroyed already
  Returns:
    a GriffonController instance if the group has a controller member, null otherwise

### getMember

    public Object getMember(String name)

  Returns the specified member type.
  throws:
    IllegalStateException if the group has been destroyed already
  Parameters:
    `name` - the type of member to retrieve
  Returns:
    the selected MVC member if a match is found, null otherwise

### getMembers

    public Map getMembers()

  Returns a read-only view of all instance members.
  throws:
    IllegalStateException if the group has been destroyed already
  Returns:
    an unmodifiable Map view of all members.

### getModel

    public GriffonModel getModel()

  Returns the Model portion of this group.
  throws:
    IllegalStateException if the group has been destroyed already
  Returns:
    a GriffonModel instance if the group has a model member, null otherwise

### getMvcId

    public String getMvcId()

  Returns the id of the group. Ids are used to uniquely identify a group instance.
  Returns:
    the id of this group.

### getMvcType

    public String getMvcType()

  Returns the type of this group as set in the application's configuration.
  Returns:
    the type of the group

### getScriptResult

    public Object getScriptResult(String name)

  Returns the result of the evaluation of the specified member if it's a Script.
  Parameters:
    `name` - the name of a member
  Returns:
    the last expression evaluated if the member is a Script, null otherwise.

### getView

    public GriffonView getView()

  Returns the View portion of this group.
  throws:
    IllegalStateException if the group has been destroyed already
  Returns:
    a GriffonView instance if the group has a view member, null otherwise

### isAlive

    public boolean isAlive()

  Returns whether this group has been destroyed or not.
  Returns:
    true if the group has not been destroyed yet, false otherwise

Groovy Documentation